private_notes/urls.py
from django.contrib import admin
from django.urls import path
from notes import views

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', views.Home.as_view(), name='home'),
    path('register/', views.RegisterUser.as_view(), name='register'),
    path('login/', views.LoginUser.as_view(), name='login'),
    path('logout/', views.LogoutUser.as_view(), name='logout'),
    path('notes/', views.Notes.as_view(), name='notes'),
    path('notes/add/', views.NotesAdd.as_view(), name='notes_add'),
]

notes/models.py
from django.db import models
from django.utils import timezone
from django.contrib.auth.models import AbstractBaseUser, BaseUserManager


class UserManager(BaseUserManager):

    def create_user(self, email, password, **kwargs):
        user = self.model(email=self.normalize_email(email), **kwargs)
        user.set_password(password)
        user.save(using=self._db)
        return user


class User(AbstractBaseUser):

    USERNAME_FIELD = 'email'
    email = models.EmailField(verbose_name='E-Mail', unique=True)
    objects = UserManager()

    def __str__(self):
        return self.email


class Note(models.Model):
    user = models.ForeignKey(User, on_delete=models.CASCADE)
    remark = models.TextField(verbose_name='Заметка')
    date_saved = models.DateTimeField(default=timezone.now, verbose_name='Время создания')
    objects = models.Manager()

    def __str__(self):
        return self.remark

notes/forms.py
from django import forms
from django.forms import ModelForm
from django.contrib.auth.forms import AuthenticationForm, UserCreationForm
from .models import User, Note


class RegisterUserForm(UserCreationForm):

    class Meta:
        model = User
        fields = ['email', 'password1', 'password2']

    email = forms.EmailField(
        error_messages={
            'unique': 'Пользователь с таким e-mail уже существует',
            'required': 'Введите e-mail',
        },
        label='E-Mail',
        widget=forms.EmailInput(attrs={'autofocus': True, 'class': 'frm-ctl-lg'})
    )
    password1 = forms.CharField(
        error_messages={'required': 'Введите пароль'},
        label='Пароль',
        widget=forms.PasswordInput(attrs={'class': 'frm-ctl-lg'})
    )
    password2 = forms.CharField(
        error_messages={'required': 'Введите пароль'},
        label='Повтор пароля',
        widget=forms.PasswordInput(attrs={'class': 'frm-ctl-lg'})
    )


class LoginUserForm(AuthenticationForm):
    username = forms.EmailField(
        error_messages={'required': 'Введите e-mail'},
        label='E-Mail',
        widget=forms.EmailInput(attrs={'autofocus': True, 'class': 'frm-ctl-lg'})
    )
    password = forms.CharField(
        error_messages={'required': 'Введите пароль'},
        label='Пароль',
        widget=forms.PasswordInput(attrs={'class': 'frm-ctl-lg'})
    )


class NoteForm(ModelForm):
    class Meta:
        model = Note
        fields = ['remark']

    remark = forms.CharField(
        label='Заметка',
        widget=forms.Textarea(attrs={'autofocus': True, 'class': 'frm-ctl-d'})
    )

notes/views.py
from django.shortcuts import render, redirect
from django.views.generic import View, CreateView, ListView
from django.contrib.auth import login, logout
from django.contrib.auth.views import LoginView
from .forms import RegisterUserForm, LoginUserForm, NoteForm
from .models import Note


class RegisterUser(CreateView):
    form_class = RegisterUserForm
    template_name = 'register.html'

    def form_valid(self, form):
        user = form.save()
        login(self.request, user)
        return redirect('notes')


class LoginUser(LoginView):
    form_class = LoginUserForm
    template_name = 'login.html'


class LogoutUser(View):
    def get(self, *args, **kwargs):
        logout(self.request)
        return redirect('home')


class Home(View):
    template_name = 'index.html'

    def get(self, request):
        count = Note.objects.filter(user_id=self.request.user.id).count()
        return render(request, self.template_name, {'count': count})


class Notes(ListView):
    model = Note
    template_name = 'notes.html'

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context['count'] = Note.objects.filter(user_id=self.request.user.id).count()
        return context

    def get_queryset(self):
        query_set = Note.objects.filter(user_id=self.request.user.id)
        return query_set


class NotesAdd(View):
    model = Note
    template_name = 'notes_add.html'

    def get(self, request):
        note_form = NoteForm()
        return render(request, self.template_name, {'form': note_form})

    def post(self, request):
        note_form = NoteForm(request.POST)
        note_add = note_form.save(commit=False)
        note_add.user_id = request.user.id
        note_add.save()
        return redirect('notes')

templates/base.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link href="{% static 'css/style.css' %}" rel="stylesheet">
  <title>{% block title %}{% endblock %}</title>
  {% block head %}{% endblock %}
</head>
<body>
      {% block content %}{% endblock %}
</body>
</html>

templates/index.html
{% extends 'base.html' %}
{% block title %}Приватные заметки{% endblock %}
{% block content %}

<table cellpadding="5px" width="100%" border="0">
    <tr>
        <td width="60%" align="left" style="font-size: 115%; color: navy;">
           {% if request.user.is_authenticated %}
            Пользователь: {{ request.user.email }}
            Число заметок: {{ count }}
           {% else %}
           {% endif %}
        </td>
        <td align="right" valign="top" style="font-size: 105%;">
          {% if request.user.is_authenticated %}
            <a href="{% url 'notes' %}">Заметки</a> | <a href="{% url 'logout' %}">Выйти</a>
          {% else %}
            <a href="{% url 'register' %}">Регистрация</a> | <a href="{% url 'login' %}">Войти</a>
          {% endif %}
        </td>
    </tr>
</table>

<table width="100%" style="margin: 200px 0 0 0" border="0">
    <tr>
        <td width="100%" align="center" style="font-size: 400%; color: teal;">Приватные заметки</td>
    </tr>
</table>

{% endblock %}

templates/login.html
{% extends 'base.html' %}
{% block title %}Авторизация{% endblock %}
{% block content %}

<table cellpadding="5px" width="100%" border="0">
    <tr>
        <td align="right" valign="top" style="font-size: 100%;">
            <a href="{% url 'home' %}">На главную</a>
        </td>
    </tr>
</table>

<form novalidate style="font-size: 115%; position: absolute; top: 30%; left: 40%" method="post">
    {% csrf_token %}
    {% for field in form %}
    <table border="0">
        <tr>
            <td>
        {{field.label_tag}} <br>
        {{ field }}  <br>
            </td>
            <td>
        <span class="form-error">{{ field.errors }}</span>
            </td>
        </tr>
    </table>
    {% endfor %}
    <br>
    <button class="btn-lg" type="submit">Войти</button>
  {% if form.errors and not form.username.errors and not form.password.errors %}
  <p class="form-error">Ошибка ввода имени или пароля, попробуйте еще раз.</p>
{% endif %}
</form>

{% endblock %}

templates/notes.html
{% extends 'base.html' %}
{% block title %}Заметки{% endblock %}
{% block content %}

<table cellpadding="5px" width="100%" border="0">
    <tr>
        <td width="60%" align="left" style="font-size: 115%; color: navy;">
           {% if request.user.is_authenticated %}
            Пользователь: {{ request.user.email }}
            Число заметок: {{ count }}
           {% else %}
           {% endif %}
        </td>
        <td width="50%" align="right" valign="top" style="font-size: 105%;">
          {% if request.user.is_authenticated %}
            <a href="{% url 'home' %}">На главную</a> |
            <a href="{% url 'notes_add' %}">Добавить заметку</a> |
            <a href="{% url 'logout' %}">Выйти</a>
          {% else %}
            <a href="{% url 'register' %}">Регистрация</a> | <a href="{% url 'login' %}">Войти</a>
          {% endif %}
        </td>
    </tr>
</table>
{% if count != 0  %}
<table cellspacing="30px" style="font-size: 125%; position: absolute; top: 10%; left: 30%" border="0">
  <thead>
     <tr>
         <td colspan="2" align="center" height="60px">
           <div style="font-size: 170%; color: teal; font-weight: bold">Список ваших заметок</div>
         </td>
     </tr>
     <tr style="font-weight: bold">
          <td width="300px">Заметка</td>
          <td width="250px">Дата создания</td>
     </tr>
  </thead>
      {% for row in note_list %}
      <tr>
          <td>{{ row.remark }}</td>
          <td valign="top">{{ row.date_saved }}</td>
      </tr>
      {% endfor %}
</table>
{% elif request.user.is_authenticated %}
<table cellspacing="25px" style="font-size: 125%; position: absolute; top: 30%; left: 30%" border="0">
     <tr>
         <td align="center" height="60px">
           <div style="font-size: 170%; color: teal; font-weight: bold">Создайте свою первую заметку</div>
         </td>
     </tr>
</table>
{% else %}
<table cellspacing="25px" style="font-size: 125%; position: absolute; top: 30%; left: 35%" border="0">
     <tr>
         <td align="center" height="60px">
           <div style="font-size: 170%; color: teal; font-weight: bold">Войдите в систему</div>
         </td>
     </tr>
</table>
{% endif %}
{% endblock %}

templates/notes_add.html
{% extends 'base.html' %}
{% block title %}Добавить заметку{% endblock %}
{% block content %}

<table cellpadding="5px" width="100%" border="0">
    <tr>
        <td width="50%"></td>
        <td align="right" valign="top" style="font-size: 100%;">
          {% if request.user.is_authenticated %}
            <a href="{% url 'home' %}">На главную</a> |
            <a href="{% url 'notes' %}">Заметки</a> |
            <a href="{% url 'logout' %}">Выйти</a>
          {% else %}
            <a href="{% url 'register' %}">Регистрация</a> | <a href="{% url 'login' %}">Войти</a>
          {% endif %}
        </td>
    </tr>
</table>

{% if request.user.is_authenticated %}
    <form method="POST" style="margin: 15px; position: absolute; top: 20%; left: 35%">
        <div style="margin: 15px; font-size: 150%; color: navy;"> Форма создания заметки </div>
        {% csrf_token %}
        {% for field in form %}
          <span class="label-hm"> {{field.label_tag}} </span> <br>
          {{field}} <br>
          <div class="form-error">{{ field.errors }}</div>
        {% endfor %}
    <br>
    <button class="btn-lg" type="submit">Добавить</button>
    </form>
{% else %}
<div style="font-size: 170%; color: teal; font-weight: bold; position: absolute; top: 30%; left: 25%">Для создания заметки необходимо войти в систему</div>
{% endif %}

{% endblock %}

templates/register.html
{% extends 'base.html' %}
{% block title %}Регистрация{% endblock %}
{% block content %}

<table cellpadding="5px" width="100%" border="0">
    <tr>
        <td align="right" valign="top" style="font-size: 100%;">
            <a href="{% url 'home' %}">На главную</a>
        </td>
    </tr>
</table>

<form novalidate style="font-size: 115%; position: absolute; top: 30%; left: 40%" method="post">
    {% csrf_token %}
    {% for field in form %}
    <table border="0">
        <tr>
            <td>
        {{field.label_tag}} <br>
        {{ field }}  <br>
            </td>
            <td>
        <span class="form-error">{{ field.errors }}</span>
            </td>
        </tr>
    </table>
    {% endfor %}
    <br>
    <button class="btn-lg" type="submit">Ok</button>
</form>

{% endblock %}